<ui:composition xmlns:a4j="http://richfaces.org/a4j" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:param name="pageNameTitle" value="#{actorManager.getLstTitle()}"/>
    <ui:define name="body">
        <h:form id="actorSearchResultsHeaderForm" styleClass="form-horizontal">
            <s:token allowMultiplePosts="true"/>
            <ui:decorate template="/layout/panels/_panel_filter_criteria.xhtml">
                <div class="row">
                    <div class="col-lg-6">
                        <s:decorate id="seldom" template="/layout/form/_form_field_horizontal_inline.xhtml">
                            <ui:define name="label">#{messages['gazelle.tf.SelectADomain']}</ui:define>
                            <ui:param name="id" value="domsel"/>
                            <h:selectOneMenu styleClass="gzl-select-text gzl-form-control" id="domsel"
                                             value="#{actorManager.selectedDomain}">
                                <s:selectItems value="#{gazelleDAO.getPossibleDomains()}" var="currentDomain"
                                               noSelectionLabel="#{messages['gazelle.common.PleaseSelectADomain']}"
                                               label="#{currentDomain.getSelectableLabel()}"/>
                                <a4j:ajax event="change" execute="@this" render="listActorsResultsForm"/>
                            </h:selectOneMenu>
                        </s:decorate>
                    </div>
                </div>
                <ui:define name="filter_buttons">
                    <a4j:commandLink title="#{messages['gazelle.users.reset']}"
                                     actionListener="#{actorManager.setSelectedDomain(null)}"
                                     render="actorSearchResultsHeaderForm, listActorsResultsForm">
                        <span class="fa fa-times-circle"/>
                    </a4j:commandLink>
                </ui:define>
            </ui:decorate>
            <h:commandButton styleClass="gzl-btn-green"
                             value="#{messages['gazelle.tf.actorInTable.button.AddNewActor']}"
                             action="#{actorManager.addNewActorButton()}"
                             rendered="#{s:hasPermission('MasterModel', 'edit', null)}"/>
        </h:form>

        <h:form id="listActorsResultsForm">
            <s:token allowMultiplePosts="true"/>
            <a4j:queue requestDelay="300" ignoreDupResponses="true"/>
            #{dataTableStateHolder.setAscendingOn('keyword')}
            <rich:dataTable rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                            id="actorList" var="actorInTable" value="#{actorManager.getFilteredActors()}"
                            render="ds">
                <g:column sortBy="#{'id'}" sortOrder="#{dataTableStateHolder.sortOrders['id']}">
                    <ui:define name="header">#{messages['gazelle.tf.table.Id']}</ui:define>
                    #{actorInTable.id}
                </g:column>
                <g:column sortBy="#{'keyword'}" sortOrder="#{dataTableStateHolder.sortOrders['keyword']}"
                          filterBy="#{'keyword'}" filterEvent="onkeyup">
                    <ui:define name="header">#{messages['gazelle.tf.table.Keyword']}</ui:define>
                    #{actorInTable.keyword}
                </g:column>
                <g:column sortBy="#{'name'}" sortOrder="#{dataTableStateHolder.sortOrders['name']}" filterBy="#{'name'}"
                          filterEvent="onkeyup">
                    <ui:define name="header">#{messages['gazelle.tf.table.Name']}</ui:define>
                    #{actorInTable.name}
                </g:column>
                <g:column>
                    <ui:define name="header">#{messages['gazelle.tf.table.Description']}</ui:define>
                    <h:panelGroup rendered="#{actorInTable.description != null  and !(empty actorInTable.description)}">
                        <pre style="word-wrap: break-word;word-break:break-all;white-space: pre-wrap;white-space: -moz-pre-wrap;white-space: -o-pre-wrap;">
                            <g:safehtml value="#{actorInTable.description}"/>
                        </pre>
                    </h:panelGroup>
                </g:column>
                <g:column rendered="#{s:hasPermission('MasterModel', 'edit', null)}">
                    <ui:define name="header"># #{messages['net.ihe.gazelle.tm.AIPOWithoutDocSection']}
                    </ui:define>
                    <h:outputText
                            value="#{actorManager.countAipoWithoutDocSectionLinkedToThisActor(actorInTable)}"/>
                </g:column>
                <g:column>
                    <ui:define name="header">#{messages['gazelle.tf.table.Action']}</ui:define>
                    <div class="gzl-never-wrap">
                        <a4j:commandLink action="#{actorManager.editActor(actorInTable,false)}"
                                         title="#{messages['gazelle.common.button.View']}"
                                         onRowMouseOver="this.style.cursor='pointer'">
                            <span class="gzl-icon-search"/>
                        </a4j:commandLink>

                        <a4j:commandLink action="#{actorManager.editActor(actorInTable,true)}"
                                         rendered="#{s:hasPermission('MasterModel', 'edit', null)}"
                                         title="#{messages['gazelle.common.button.Edit']}"
                                         onRowMouseOver="this.style.cursor='pointer'">
                            <span class="gzl-icon-pencil"/>
                        </a4j:commandLink>

                        <a4j:commandLink action="#{actorManager.duplicateActor(actorInTable)}"
                                         onRowMouseOver="this.style.cursor='pointer'"
                                         rendered="#{s:hasPermission('MasterModel', 'edit', null)}"
                                         title="#{messages['net.ihe.gazelle.tm.DuplicateActor']}">
                            <span class="gzl-icon-files-o"/>
                        </a4j:commandLink>

                        <a4j:commandLink action="#{actorManager.showActorDeleteSideEffects(actorInTable)}"
                                         onRowMouseOver="this.style.cursor='pointer'"
                                         rendered="#{s:hasPermission('MasterModel', 'edit', null)}"
                                         title="#{messages['gazelle.common.button.Delete']}">
                            <span class="gzl-icon-trash-o"/>
                        </a4j:commandLink>
                    </div>
                </g:column>
                <f:facet name="footer">
                    <ui:include src="/util/datatableFooter.xhtml">
                        <ui:param name="dataScrollerId" value="ds"/>
                        <ui:param name="dataTableId" value="actorList"/>
                    </ui:include>
                </f:facet>
            </rich:dataTable>
            <h:commandLink rendered="#{identity.loggedIn and (s:hasRole('admin_role') or s:hasRole('testing_session_admin_role') or s:hasRole('tests_editor_role'))}"
                           value="#{messages['gazelle.common.export.ExportAsExcel']}"
                           action="#{gazelleExcelExporterJboss7.export('listActorsResultsForm:actorList')}"/>
        </h:form>
    </ui:define>
</ui:composition>
